Index: trunk/geant4/visualization/OpenGL/src/G4OpenGLQtViewer.cc
===================================================================
--- trunk/geant4/visualization/OpenGL/src/G4OpenGLQtViewer.cc	(revision 747)
+++ trunk/geant4/visualization/OpenGL/src/G4OpenGLQtViewer.cc	(revision 748)
@@ -843,5 +843,5 @@
 {
   if (!GLWindow) {
-    G4cerr << "Visualization window not defined, please choose one before\n" << G4endl;
+    G4cerr << "Visualization window not defined, please choose one before" << G4endl;
   } else {
   
@@ -1014,28 +1014,28 @@
 void G4OpenGLQtViewer::showShortcuts() {
   if (fMouseAction == STYLE1) {  // rotate
-    G4cout << "Click and move mouse to rotate volume \n" << G4endl;
-    G4cout << "Press left/right arrows to move volume left/right\n" << G4endl;
-    G4cout << "Press up/down arrows to move volume up/down\n" << G4endl;
-    G4cout << "Press ALT+up/down arrows to move volume toward/forward\n" << G4endl;
-    G4cout << "Press SHIFT+left/right arrows to rotate volume left/right\n" << G4endl;
-    G4cout << "Press SHIFT+up/down arrows to rotate volume up/down\n" << G4endl;
-    G4cout << "Press ALT+/- to slow/speed auto rotation/move\n" << G4endl;
-    G4cout << "In video mode : \n" << G4endl;
-    G4cout << "  Press SPACE to Start/Pause video recording \n" << G4endl;
-    G4cout << "  Press RETURN to Stop video recording \n" << G4endl;
+    G4cout << "Click and move mouse to rotate volume " << G4endl;
+    G4cout << "Press left/right arrows to move volume left/right" << G4endl;
+    G4cout << "Press up/down arrows to move volume up/down" << G4endl;
+    G4cout << "Press ALT+up/down arrows to move volume toward/forward" << G4endl;
+    G4cout << "Press SHIFT+left/right arrows to rotate volume left/right" << G4endl;
+    G4cout << "Press SHIFT+up/down arrows to rotate volume up/down" << G4endl;
+    G4cout << "Press ALT+/- to slow/speed auto rotation/move" << G4endl;
+    G4cout << "In video mode : " << G4endl;
+    G4cout << " Press SPACE to Start/Pause video recording " << G4endl;
+    G4cout << " Press RETURN to Stop video recording " << G4endl;
   } else  if (fMouseAction == STYLE2) { //move
-    G4cout << "Move camera point of view with mouse\n" << G4endl;
-    G4cout << "Press left/right arrows to move volume left/right\n" << G4endl;
-    G4cout << "Press up/down arrows to move volume up/down\n" << G4endl;
-    G4cout << "Press ALT+up/down arrows to move volume toward/forward\n" << G4endl;
-    G4cout << "Press SHIFT+left/right arrows to rotate volume left/right\n" << G4endl;
-    G4cout << "Press SHIFT+up/down arrows to rotate volume up/down\n" << G4endl;
-    G4cout << "Press +/- to zoom into volume\n" << G4endl;
-    G4cout << "Press ALT+/- to slow/speed auto rotation/move\n" << G4endl;
-    G4cout << "In video mode : \n" << G4endl;
-    G4cout << "  Press SPACE to Start/Pause video recording \n" << G4endl;
-    G4cout << "  Press RETURN to Stop video recording \n" << G4endl;
+    G4cout << "Move camera point of view with mouse" << G4endl;
+    G4cout << "Press left/right arrows to move volume left/right" << G4endl;
+    G4cout << "Press up/down arrows to move volume up/down" << G4endl;
+    G4cout << "Press ALT+up/down arrows to move volume toward/forward" << G4endl;
+    G4cout << "Press SHIFT+left/right arrows to rotate volume left/right" << G4endl;
+    G4cout << "Press SHIFT+up/down arrows to rotate volume up/down" << G4endl;
+    G4cout << "Press +/- to zoom into volume" << G4endl;
+    G4cout << "Press ALT+/- to slow/speed auto rotation/move" << G4endl;
+    G4cout << "In video mode : " << G4endl;
+    G4cout << " Press SPACE to Start/Pause video recording " << G4endl;
+    G4cout << " Press RETURN to Stop video recording " << G4endl;
   } else  if (fMouseAction == STYLE3) { //pick
-    G4cout << "Click and pick \n" << G4endl;
+    G4cout << "Click and pick " << G4endl;
   }
 
@@ -1189,7 +1189,7 @@
                             * G4UnitDefinition::GetValueOf(unitParam->GetDefaultValue()); 
     if (defaultValue > 89.5 || defaultValue <= 0.0) {
-      G4cerr << "Field half angle should be 0 < angle <= 89.5 degrees. Check your default Field half angle parameter\n";
+      G4cerr << "Field half angle should be 0 < angle <= 89.5 degrees. Check your default Field half angle parameter";
     } else {
-      G4cout << "Perspective view has been set to default value. Field half angle="<<angleParam->GetDefaultValue() <<" \n" << G4endl;
+      G4cout << "Perspective view has been set to default value. Field half angle="<<angleParam->GetDefaultValue() <<" " << G4endl;
       fVP.SetFieldHalfAngle (defaultValue);
       SetView ();
@@ -1296,5 +1296,5 @@
     GLWindow->setWindowState(GLWindow->windowState() ^ Qt::WindowFullScreen);
 #else
-    G4cerr << "This version of Qt could not do fullScreen. Resizing the widget is the only solution available.\n" << G4endl;
+    G4cerr << "This version of Qt could not do fullScreen. Resizing the widget is the only solution available." << G4endl;
 #endif
   }
@@ -1382,5 +1382,5 @@
         (exportDialog->getHeight() !=fWindow->height())) {
       if (format != QString("eps")) {
-      G4cerr << "Export->Change Size : This function is not implemented, to export in another size, please resize your frame to what you need\n" << G4endl;
+      G4cerr << "Export->Change Size : This function is not implemented, to export in another size, please resize your frame to what you need" << G4endl;
       
       //    rescaleImage(exportDialog->getWidth(),exportDialog->getHeight());// re-scale image
@@ -1428,17 +1428,17 @@
 #endif
     } else {
-      G4cerr << "This version of G4UI Could not generate the selected format\n" << G4endl;
+      G4cerr << "This version of G4UI Could not generate the selected format" << G4endl;
     }
     if (res == false) {
 #if QT_VERSION < 0x040000
-      G4cerr << "Error while saving file... "<<nomFich.ascii()<<"\n" << G4endl;
-#else
-      G4cerr << "Error while saving file... "<<nomFich.toStdString().c_str()<<"\n" << G4endl;
+      G4cerr << "Error while saving file... "<<nomFich.ascii()<<"" << G4endl;
+#else
+      G4cerr << "Error while saving file... "<<nomFich.toStdString().c_str()<< G4endl;
 #endif
     } else {
 #if QT_VERSION < 0x040000
-      G4cout << "File "<<nomFich.ascii()<<" has been saved \n" << G4endl;
-#else
-      G4cout << "File "<<nomFich.toStdString().c_str()<<" has been saved \n" << G4endl;
+      G4cout << "File "<<nomFich.ascii()<<" has been saved " << G4endl;
+#else
+      G4cout << "File "<<nomFich.toStdString().c_str()<<" has been saved " << G4endl;
 #endif
     }
@@ -1769,7 +1769,7 @@
   } else {
 #if QT_VERSION < 0x040000
-    G4cerr << "Could not open "<< aFilename.ascii()<<"\n" << G4endl;
-#else
-    G4cerr << "Could not open "<< aFilename.toStdString().c_str()<<"\n" << G4endl;
+    G4cerr << "Could not open "<< aFilename.ascii() << G4endl;
+#else
+    G4cerr << "Could not open "<< aFilename.toStdString().c_str() << G4endl;
 #endif
   }
@@ -1953,5 +1953,5 @@
   paint.end();
 #else
-  G4cerr << "This fonction is only supported on Mac OsX or X11 with Qt3. Full platform supported with Qt4\n" << G4endl;
+  G4cerr << "This fonction is only supported on Mac OsX or X11 with Qt3. Full platform supported with Qt4" << G4endl;
 #endif
 #else
@@ -2155,5 +2155,5 @@
         tmp = createTempFolder();
         if (tmp != "") {
-          setRecordingInfos("Can't create temp folder. \n"+tmp);
+          setRecordingInfos("Can't create temp folder."+tmp);
           return;
         }
@@ -2190,4 +2190,6 @@
   } else if (step == STOP) {
     txt  = "Stop Recording...";
+  } else if (step == READY_TO_ENCODE) {
+    txt  = "Ready to Encode...";
   } else if (step == ENCODE) {
     txt  = "Encoding...";
@@ -2280,7 +2282,14 @@
 }
 
+bool G4OpenGLQtViewer::isStopped(){
+  if (fRecordingStep == STOP) {
+    return true;
+  }
+  return false;
+}
+
 
 bool G4OpenGLQtViewer::isReadyToEncode(){
-  if (fRecordingStep == STOP) {
+  if (fRecordingStep == READY_TO_ENCODE) {
     return true;
   }
@@ -2342,5 +2351,5 @@
   QDir dir = fileInfo->absoluteDir();
   if (!dir.exists()) {
-    return "Folder does not exist\n";
+    return "Folder does not exist";
   }
 
@@ -2386,5 +2395,5 @@
   // check if it is already present
   if (d->exists(path)) {
-    return "Folder "+path+" already exists.\nPlease remove it first";
+    return "Folder "+path+" already exists.Please remove it first";
   }
   if (d->mkdir(fTempFolderPath+path)) {
@@ -2392,5 +2401,5 @@
     return "";
   } else {
-    return "Can't create "+fTempFolderPath+path+"\n";
+    return "Can't create "+fTempFolderPath+path;
   }
   return "-";
@@ -2418,5 +2427,5 @@
       res = false;
       QString file = fMovieTempFolderPath+currentFile;
-      error +="Removing file failed : "+file+"\n";
+      error +="Removing file failed : "+file;
     }
   }
@@ -2425,9 +2434,9 @@
       return "";
     } else {
-      return "Dir "+fMovieTempFolderPath+" should be empty,\n but could not remove it";
-    }
-
-  }
-  return "Could not remove "+fMovieTempFolderPath+" because \nof the following errors :"+error;
+      return "Dir "+fMovieTempFolderPath+" should be empty, but could not remove it";
+    }
+
+  }
+  return "Could not remove "+fMovieTempFolderPath+" because of the following errors :"+error;
 }
 
@@ -2631,5 +2640,5 @@
 
   setRecordingInfos("Parameter file "+fParameterFileName+" generated in "+fMovieTempFolderPath);
-  setRecordingStatus(ENCODE);
+  setRecordingStatus(READY_TO_ENCODE);
   return true;
 }