Index: trunk/geant4/visualization/OpenGL/src/G4OpenGLQtMovieDialog.cc
===================================================================
--- trunk/geant4/visualization/OpenGL/src/G4OpenGLQtMovieDialog.cc	(revision 754)
+++ trunk/geant4/visualization/OpenGL/src/G4OpenGLQtMovieDialog.cc	(revision 755)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLQtMovieDialog.cc,v 1.3 2008/03/11 16:05:56 lgarnier Exp $
+// $Id: G4OpenGLQtMovieDialog.cc,v 1.5 2008/03/11 17:35:11 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
@@ -86,5 +86,5 @@
   
   // Encoder group box
-  QGroupBox *encoderGroupBox = new QGroupBox(tr("Encoder path"));		
+  QGroupBox *encoderGroupBox = new QGroupBox(tr("Encoder path"),this);		
   QVBoxLayout *encoderVGroupBoxLayout = new QVBoxLayout(encoderGroupBox);
 
@@ -101,6 +101,8 @@
 #if QT_VERSION > 0x040000
   fEncoderStatus->setWordWrap(true);
+  encoderVGroupBoxLayout->setMargin(15);
 #else
   fEncoderStatus->setAlignment ( Qt::AlignAuto |Qt::WordBreak );
+  encoderGroupBox->setInsideMargin(15);
 #endif
 
@@ -128,5 +130,5 @@
 
   // temp folder group box
-  QGroupBox *tempFolderGroupBox = new QGroupBox(tr("Temporary folder path"));		
+  QGroupBox *tempFolderGroupBox = new QGroupBox(tr("Temporary folder path"),this);
   QVBoxLayout *tempFolderVGroupBoxLayout = new QVBoxLayout(tempFolderGroupBox);
 
@@ -143,6 +145,8 @@
 #if QT_VERSION > 0x040000
   fTempFolderStatus->setWordWrap(true);
+  tempFolderVGroupBoxLayout->setMargin(15);
 #else
   fTempFolderStatus->setAlignment ( Qt::AlignAuto |Qt::WordBreak );
+  tempFolderGroupBox->setInsideMargin(15);
 #endif
   fTempFolderStatus->setText("");
@@ -171,5 +175,5 @@
 
   // save file group box
-  QGroupBox *saveFileGroupBox = new QGroupBox(tr("Save as"));		
+  QGroupBox *saveFileGroupBox = new QGroupBox(tr("Save as"),this);
   QVBoxLayout *saveFileVGroupBoxLayout = new QVBoxLayout(saveFileGroupBox);
 
@@ -186,6 +190,8 @@
 #if QT_VERSION > 0x040000
   fSaveFileStatus->setWordWrap(true);
+  saveFileVGroupBoxLayout->setMargin(15);
 #else
   fSaveFileStatus->setAlignment ( Qt::AlignAuto |Qt::WordBreak );
+  saveFileGroupBox->setInsideMargin(15);
 #endif
   fSaveFileStatus->setText("");
@@ -217,11 +223,13 @@
 
   // global status
-  QGroupBox *statusGroupBox = new QGroupBox(tr("Status"));
+  QGroupBox *statusGroupBox = new QGroupBox(tr("Status"),this);
   QVBoxLayout *statusVGroupBoxLayout = new QVBoxLayout(statusGroupBox);
 
   fRecordingStatus = new QLabel(statusGroupBox);
 #if QT_VERSION > 0x040000
+  statusVGroupBoxLayout->setMargin(15);
   fRecordingStatus->setWordWrap(true);
 #else
+  statusGroupBox->setInsideMargin(15);
   fRecordingStatus->setAlignment ( Qt::AlignAuto |Qt::WordBreak );
 #endif
@@ -303,11 +311,17 @@
 
   // connect line edit signals
-  connect (fEncoderPath,SIGNAL(textEdited ( const QString&)),this,SLOT(enabledApplyButton()));
-  connect (fTempFolderPath,SIGNAL(textEdited ( const QString&)),this,SLOT(enabledApplyButton()));
-  connect (fSaveFileName,SIGNAL(textEdited ( const QString&)),this,SLOT(enabledApplyButton()));
-
+  connect (fEncoderPath,SIGNAL(textChanged ( const QString&)),this,SLOT(enabledApplyButton()));
+  connect (fTempFolderPath,SIGNAL(textChanged ( const QString&)),this,SLOT(enabledApplyButton()));
+  connect (fSaveFileName,SIGNAL(textChanged ( const QString&)),this,SLOT(enabledApplyButton()));
+
+#if QT_VERSION >= 0x040000
   connect (fEncoderPath,SIGNAL(editingFinished ()),this,SLOT(checkAllParameters()));
   connect (fTempFolderPath,SIGNAL(editingFinished ()),this,SLOT(checkAllParameters()));
   connect (fSaveFileName,SIGNAL(editingFinished ()),this,SLOT(checkAllParameters()));
+#else
+  connect (fEncoderPath,SIGNAL(lostFocus ()),this,SLOT(checkAllParameters()));
+  connect (fTempFolderPath,SIGNAL(lostFocus ()),this,SLOT(checkAllParameters()));
+  connect (fSaveFileName,SIGNAL(lostFocus ()),this,SLOT(checkAllParameters()));
+#endif
 
   if (fParentViewer->getEncoderPath() == "") {
@@ -350,11 +364,10 @@
 {
 #if QT_VERSION < 0x040000
-  QString nomFich =  QFileDialog::getOpenFileName ( ".",
-                                                    NULL,
+  QString nomFich =  QFileDialog::getExistingDirectory (NULL,
                                                     this,
                                                     "Select temporary folder",
                                                     tr("Select temporary folder ..."));
 #else
-  QString nomFich =  QFileDialog::getOpenFileName ( this,
+  QString nomFich =  QFileDialog::getExistingDirectory ( this,
                                                     "Select temporary folder",
                                                     tr("Select temporary folder ...")); 