Index: trunk/geant4/specific-geant4-dev.sh
===================================================================
--- trunk/geant4/specific-geant4-dev.sh	(revision 763)
+++ trunk/geant4/specific-geant4-dev.sh	(revision 764)
@@ -5,5 +5,5 @@
   export MACOSX_DEPLOYMENT_TARGET=10.4
   export MAKECMD=make
-  export G4INSTALL=/Users/laurentgarnier/Work/Geant4-Dev
+  export G4INSTALL=/Users/garnier/Work/Geant4-Dev
   export G4SYSTEM=Darwin-g++
   export G4WORKDIR=$G4INSTALL
@@ -28,8 +28,10 @@
   export G4LEDATA=$G4DATA/G4EMLOW3.0
 #  export QTHOME=/usr/local/Qt/3.3.8
-  export QTHOME=/usr/local/Qt/4.2.2
+#  export QTHOME=/usr/local/Qt/4.2.2
 #  export QTHOME=/sw
 #  export QTLIBS="-L/sw/lib -lqt-mt"
-  unset QTLIBS
+  export QTLIBS="-F$QTHOME/lib -framework QtCore -framework QtGui -framework QtOpenGL -framework QtSql -framework QtXml"
+  export QTMOC="/usr/bin/moc"
+#  unset QTLIBS
 
   #//////////////////////////////////////////////////////////
@@ -39,6 +41,6 @@
   export G4UI_BUILD_XM_SESSION=1
   export G4UI_USE_XM=1
-  unset G4UI_BUILD_XM_SESSION
-  unset G4UI_USE_XM
+#  unset G4UI_BUILD_XM_SESSION
+#  unset G4UI_USE_XM
   export G4UI_BUILD_QT_SESSION=1
   export G4UI_USE_QT=1
@@ -48,8 +50,8 @@
   export G4VIS_USE_OPENGLXM=1
   export G4VIS_USE_OPENGLX=1
-  unset G4VIS_BUILD_OPENGLXM_DRIVER
-  unset G4VIS_BUILD_OPENGLX_DRIVER
-  unset G4VIS_USE_OPENGLXM
-  unset G4VIS_USE_OPENGLX
+#  unset G4VIS_BUILD_OPENGLXM_DRIVER
+#  unset G4VIS_BUILD_OPENGLX_DRIVER
+#  unset G4VIS_USE_OPENGLXM
+#  unset G4VIS_USE_OPENGLX
 
   export G4VIS_BUILD_OPENGLQT_DRIVER=1
@@ -108,6 +110,7 @@
 alias "appG4"="cd $G4WORKDIR/bin/Darwin-g++; rm exampleN03.app;csh ~/Work/svn/trunk/configuration/scripts/make_app exampleN03;cp -rf $G4WORKDIR/examples/novice/N03/vis.mac exampleN03.app/Contents/Resources/.;cp -rf $G4WORKDIR/examples/novice/N03/visTutor exampleN03.app/Contents/Resources/."
 
-alias "make"='make -j20 CXX="distcc /usr/bin/g++"'
-export DYLD_LIBRARY_PATH=/Users/laurentgarnier/Work/Geant4-Dev/lib/geant4//Darwin-g++
+#alias "make"='make -j20 CXX="distcc /usr/bin/g++"'
+alias "make"='make -j4'
+export DYLD_LIBRARY_PATH=/Users/garnier/Work/Geant4-Dev/lib/geant4//Darwin-g++
 
 export CVSROOT=:ext:lgarnier@geant4.cvs.cern.ch:/cvs/Geant4
Index: trunk/geant4/specific-geant4-dev_10.5.sh
===================================================================
--- trunk/geant4/specific-geant4-dev_10.5.sh	(revision 763)
+++ trunk/geant4/specific-geant4-dev_10.5.sh	(revision 764)
@@ -5,5 +5,6 @@
   export MACOSX_DEPLOYMENT_TARGET=10.4
   export MAKECMD=make
-  export G4INSTALL=/usr/local/geant4/geant4-09-01-Dev
+  export G4INSTALL=/Users/garnier/Work/Geant4-Dev
+#  export G4INSTALL=/usr/local/geant4/geant4-09-01-Dev
   export G4SYSTEM=Darwin-g++
   export G4WORKDIR=$G4INSTALL
@@ -20,5 +21,5 @@
   export DYLD_LIBRARY_PATH=$G4LIB/$G4SYSTEM
   export CLHEP_BASE_DIR=/sw/
-  export DYLD_LIBRARY_PATH=${DYLD_LIBRARY_PATH}:${CLHEP_BASE_DIR}/lib
+#  export DYLD_LIBRARY_PATH=${DYLD_LIBRARY_PATH}:${CLHEP_BASE_DIR}/lib
   # data :
   export G4DATA=/geant4/data
@@ -28,7 +29,8 @@
   export G4LEDATA=$G4DATA/G4EMLOW3.0
 #  export QTHOME=/usr/local/Qt/3.3.8
-  export QTHOME=/usr/local/Qt4.3
+  export QTHOME=/Library/Frameworks
+#  export QTMOC="/usr/bin/moc"
   export QTFLAGS="-I /Library/Frameworks/QtCore.framework/Headers -I /Library/Frameworks/QtGui.framework/Headers -I /Library/Frameworks/QtOpenGL.framework/Headers -I /Library/Frameworks/QtSql.framework/Headers -I /Library/Frameworks/QtXml.framework/Headers " 
-  export QTLIBS="-F/Library/Frameworks -framework QtCore -framework QtGui -framework QtOpenGL -framework QtSql -framework QtXml"
+#  export QTLIBS="-F/Library/Frameworks -framework QtCore -framework QtGui -framework QtOpenGL -framework QtSql -framework QtXml"
 
   # ////////////////////////////////////////////////////////
@@ -46,6 +48,6 @@
   export G4UI_BUILD_XM_SESSION=1
   export G4UI_USE_XM=1
-  unset G4UI_BUILD_XM_SESSION
-  unset G4UI_USE_XM
+#  unset G4UI_BUILD_XM_SESSION
+#  unset G4UI_USE_XM
   export G4UI_BUILD_QT_SESSION=1
   export G4UI_USE_QT=1
@@ -55,8 +57,8 @@
   export G4VIS_USE_OPENGLXM=1
   export G4VIS_USE_OPENGLX=1
-  unset G4VIS_BUILD_OPENGLXM_DRIVER
-  unset G4VIS_BUILD_OPENGLX_DRIVER
-  unset G4VIS_USE_OPENGLXM
-  unset G4VIS_USE_OPENGLX
+#  unset G4VIS_BUILD_OPENGLXM_DRIVER
+#  unset G4VIS_BUILD_OPENGLX_DRIVER
+#  unset G4VIS_USE_OPENGLXM
+#  unset G4VIS_USE_OPENGLX
 
   export G4VIS_BUILD_OPENGLQT_DRIVER=1