Index: /trunk/geant4/visualization/OpenInventor/include/G4OpenInventor.hh
===================================================================
--- /trunk/geant4/visualization/OpenInventor/include/G4OpenInventor.hh	(revision 772)
+++ /trunk/geant4/visualization/OpenInventor/include/G4OpenInventor.hh	(revision 773)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenInventor.hh,v 1.9 2006/06/29 21:20:22 gunter Exp $
-// GEANT4 tag $Name: geant4-09-00-ref-01 $
+// GEANT4 tag $Name:  $
 //
 // Guy Barrand 26 Mar 1998.
Index: /trunk/geant4/visualization/OpenInventor/include/G4OpenInventorSceneHandler.hh
===================================================================
--- /trunk/geant4/visualization/OpenInventor/include/G4OpenInventorSceneHandler.hh	(revision 772)
+++ /trunk/geant4/visualization/OpenInventor/include/G4OpenInventorSceneHandler.hh	(revision 773)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenInventorSceneHandler.hh,v 1.33 2007/03/27 15:24:15 allison Exp $
-// GEANT4 tag $Name: geant4-09-00-ref-01 $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/geant4/visualization/OpenInventor/include/G4OpenInventorTransform3D.hh
===================================================================
--- /trunk/geant4/visualization/OpenInventor/include/G4OpenInventorTransform3D.hh	(revision 772)
+++ /trunk/geant4/visualization/OpenInventor/include/G4OpenInventorTransform3D.hh	(revision 773)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenInventorTransform3D.hh,v 1.7 2006/06/29 21:20:26 gunter Exp $
-// GEANT4 tag $Name: geant4-09-00-ref-01 $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/geant4/visualization/OpenInventor/include/G4OpenInventorWin.hh
===================================================================
--- /trunk/geant4/visualization/OpenInventor/include/G4OpenInventorWin.hh	(revision 772)
+++ /trunk/geant4/visualization/OpenInventor/include/G4OpenInventorWin.hh	(revision 773)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenInventorWin.hh,v 1.3 2006/06/29 21:20:30 gunter Exp $
-// GEANT4 tag $Name: geant4-09-00-ref-01 $
+// GEANT4 tag $Name:  $
 //
 // OpenInventor graphics system factory.
Index: /trunk/geant4/visualization/OpenInventor/include/G4OpenInventorWin32.hh
===================================================================
--- /trunk/geant4/visualization/OpenInventor/include/G4OpenInventorWin32.hh	(revision 772)
+++ /trunk/geant4/visualization/OpenInventor/include/G4OpenInventorWin32.hh	(revision 773)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenInventorWin32.hh,v 1.7 2006/06/29 21:20:32 gunter Exp $
-// GEANT4 tag $Name: geant4-09-00-ref-01 $
+// GEANT4 tag $Name:  $
 //
 // OpenInventor graphics system factory.
Index: /trunk/geant4/visualization/OpenInventor/include/G4OpenInventorWinViewer.hh
===================================================================
--- /trunk/geant4/visualization/OpenInventor/include/G4OpenInventorWinViewer.hh	(revision 772)
+++ /trunk/geant4/visualization/OpenInventor/include/G4OpenInventorWinViewer.hh	(revision 773)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenInventorWinViewer.hh,v 1.9 2006/06/29 21:20:34 gunter Exp $
-// GEANT4 tag $Name: geant4-09-00-ref-01 $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/geant4/visualization/OpenInventor/include/G4OpenInventorX.hh
===================================================================
--- /trunk/geant4/visualization/OpenInventor/include/G4OpenInventorX.hh	(revision 772)
+++ /trunk/geant4/visualization/OpenInventor/include/G4OpenInventorX.hh	(revision 773)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenInventorX.hh,v 1.7 2006/06/29 21:20:36 gunter Exp $
-// GEANT4 tag $Name: geant4-09-00-ref-01 $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/geant4/visualization/OpenInventor/include/G4OpenInventorXt.hh
===================================================================
--- /trunk/geant4/visualization/OpenInventor/include/G4OpenInventorXt.hh	(revision 772)
+++ /trunk/geant4/visualization/OpenInventor/include/G4OpenInventorXt.hh	(revision 773)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenInventorXt.hh,v 1.3 2006/06/29 21:20:38 gunter Exp $
-// GEANT4 tag $Name: geant4-09-00-ref-01 $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/geant4/visualization/OpenInventor/include/G4OpenInventorXtViewer.hh
===================================================================
--- /trunk/geant4/visualization/OpenInventor/include/G4OpenInventorXtViewer.hh	(revision 772)
+++ /trunk/geant4/visualization/OpenInventor/include/G4OpenInventorXtViewer.hh	(revision 773)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenInventorXtViewer.hh,v 1.14 2006/06/29 21:20:40 gunter Exp $
-// GEANT4 tag $Name: geant4-09-00-ref-01 $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/geant4/visualization/OpenInventor/include/HEPVis/SbMath.h
===================================================================
--- /trunk/geant4/visualization/OpenInventor/include/HEPVis/SbMath.h	(revision 772)
+++ /trunk/geant4/visualization/OpenInventor/include/HEPVis/SbMath.h	(revision 773)
@@ -26,5 +26,5 @@
 //
 // $Id: SbMath.h,v 1.4 2006/06/29 21:20:46 gunter Exp $
-// GEANT4 tag $Name: geant4-09-00-ref-01 $
+// GEANT4 tag $Name:  $
 //
 #ifndef HEPVis_SbMath_h
Index: /trunk/geant4/visualization/OpenInventor/include/HEPVis/nodekits/SoDetectorTreeKit.h
===================================================================
--- /trunk/geant4/visualization/OpenInventor/include/HEPVis/nodekits/SoDetectorTreeKit.h	(revision 772)
+++ /trunk/geant4/visualization/OpenInventor/include/HEPVis/nodekits/SoDetectorTreeKit.h	(revision 773)
@@ -26,5 +26,5 @@
 //
 // $Id: SoDetectorTreeKit.h,v 1.5 2006/06/29 21:21:16 gunter Exp $
-// GEANT4 tag $Name: geant4-09-00-ref-01 $
+// GEANT4 tag $Name:  $
 //
 /*-----------------------------HEPVis----------------------------------------*/
Index: /trunk/geant4/visualization/OpenInventor/include/HEPVis/nodes/SoBox.h
===================================================================
--- /trunk/geant4/visualization/OpenInventor/include/HEPVis/nodes/SoBox.h	(revision 772)
+++ /trunk/geant4/visualization/OpenInventor/include/HEPVis/nodes/SoBox.h	(revision 773)
@@ -26,5 +26,5 @@
 //
 // $Id: SoBox.h,v 1.3 2006/06/29 21:21:18 gunter Exp $
-// GEANT4 tag $Name: geant4-09-00-ref-01 $
+// GEANT4 tag $Name:  $
 //
 /*-----------------------------Hepvis----------------------------------------*/
Index: /trunk/geant4/visualization/OpenInventor/include/HEPVis/nodes/SoCons.h
===================================================================
--- /trunk/geant4/visualization/OpenInventor/include/HEPVis/nodes/SoCons.h	(revision 772)
+++ /trunk/geant4/visualization/OpenInventor/include/HEPVis/nodes/SoCons.h	(revision 773)
@@ -26,5 +26,5 @@
 //
 // $Id: SoCons.h,v 1.3 2006/06/29 21:21:20 gunter Exp $
-// GEANT4 tag $Name: geant4-09-00-ref-01 $
+// GEANT4 tag $Name:  $
 //
 /*-----------------------------Hepvis----------------------------------------*/
Index: /trunk/geant4/visualization/OpenInventor/include/HEPVis/nodes/SoTrap.h
===================================================================
--- /trunk/geant4/visualization/OpenInventor/include/HEPVis/nodes/SoTrap.h	(revision 772)
+++ /trunk/geant4/visualization/OpenInventor/include/HEPVis/nodes/SoTrap.h	(revision 773)
@@ -26,5 +26,5 @@
 //
 // $Id: SoTrap.h,v 1.4 2006/06/29 21:22:06 gunter Exp $
-// GEANT4 tag $Name: geant4-09-00-ref-01 $
+// GEANT4 tag $Name:  $
 //
 /*-----------------------------Hepvis----------------------------------------*/
Index: /trunk/geant4/visualization/OpenInventor/include/HEPVis/nodes/SoTrd.h
===================================================================
--- /trunk/geant4/visualization/OpenInventor/include/HEPVis/nodes/SoTrd.h	(revision 772)
+++ /trunk/geant4/visualization/OpenInventor/include/HEPVis/nodes/SoTrd.h	(revision 773)
@@ -26,5 +26,5 @@
 //
 // $Id: SoTrd.h,v 1.3 2006/06/29 21:22:08 gunter Exp $
-// GEANT4 tag $Name: geant4-09-00-ref-01 $
+// GEANT4 tag $Name:  $
 //
 /*-----------------------------Hepvis----------------------------------------*/
Index: /trunk/geant4/visualization/OpenInventor/include/HEPVis/nodes/SoTubs.h
===================================================================
--- /trunk/geant4/visualization/OpenInventor/include/HEPVis/nodes/SoTubs.h	(revision 772)
+++ /trunk/geant4/visualization/OpenInventor/include/HEPVis/nodes/SoTubs.h	(revision 773)
@@ -26,5 +26,5 @@
 //
 // $Id: SoTubs.h,v 1.3 2006/06/29 21:22:10 gunter Exp $
-// GEANT4 tag $Name: geant4-09-00-ref-01 $
+// GEANT4 tag $Name:  $
 //
 /*-----------------------------Hepvis----------------------------------------*/
Index: /trunk/geant4/visualization/OpenInventor/include/SoG4LineSet.h
===================================================================
--- /trunk/geant4/visualization/OpenInventor/include/SoG4LineSet.h	(revision 772)
+++ /trunk/geant4/visualization/OpenInventor/include/SoG4LineSet.h	(revision 773)
@@ -25,5 +25,5 @@
 //
 // $Id: SoG4LineSet.h,v 1.2 2006/12/13 15:49:51 gunter Exp $
-// GEANT4 tag $Name: geant4-09-00-ref-01 $
+// GEANT4 tag $Name:  $
 //
 // John Allison  26th October 2006
Index: /trunk/geant4/visualization/OpenInventor/include/SoG4MarkerSet.h
===================================================================
--- /trunk/geant4/visualization/OpenInventor/include/SoG4MarkerSet.h	(revision 772)
+++ /trunk/geant4/visualization/OpenInventor/include/SoG4MarkerSet.h	(revision 773)
@@ -25,5 +25,5 @@
 //
 // $Id: SoG4MarkerSet.h,v 1.2 2006/12/13 15:49:53 gunter Exp $
-// GEANT4 tag $Name: geant4-09-00-ref-01 $
+// GEANT4 tag $Name:  $
 //
 // John Allison  26th October 2006
Index: /trunk/geant4/visualization/OpenInventor/src/G4OpenInventor.cc
===================================================================
--- /trunk/geant4/visualization/OpenInventor/src/G4OpenInventor.cc	(revision 772)
+++ /trunk/geant4/visualization/OpenInventor/src/G4OpenInventor.cc	(revision 773)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenInventor.cc,v 1.20 2006/06/29 21:22:12 gunter Exp $
-// GEANT4 tag $Name: geant4-09-00-ref-01 $
+// GEANT4 tag $Name:  $
 //
 #ifdef G4VIS_BUILD_OI_DRIVER
Index: /trunk/geant4/visualization/OpenInventor/src/G4OpenInventorSceneHandler.cc
===================================================================
--- /trunk/geant4/visualization/OpenInventor/src/G4OpenInventorSceneHandler.cc	(revision 772)
+++ /trunk/geant4/visualization/OpenInventor/src/G4OpenInventorSceneHandler.cc	(revision 773)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenInventorSceneHandler.cc,v 1.53 2007/04/03 13:35:48 allison Exp $
-// GEANT4 tag $Name: geant4-09-00-ref-01 $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/geant4/visualization/OpenInventor/src/G4OpenInventorTransform3D.cc
===================================================================
--- /trunk/geant4/visualization/OpenInventor/src/G4OpenInventorTransform3D.cc	(revision 772)
+++ /trunk/geant4/visualization/OpenInventor/src/G4OpenInventorTransform3D.cc	(revision 773)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenInventorTransform3D.cc,v 1.8 2006/06/29 21:22:16 gunter Exp $
-// GEANT4 tag $Name: geant4-09-00-ref-01 $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/geant4/visualization/OpenInventor/src/G4OpenInventorViewer.cc
===================================================================
--- /trunk/geant4/visualization/OpenInventor/src/G4OpenInventorViewer.cc	(revision 772)
+++ /trunk/geant4/visualization/OpenInventor/src/G4OpenInventorViewer.cc	(revision 773)
@@ -25,5 +25,5 @@
 //
 // $Id: G4OpenInventorViewer.cc,v 1.59 2007/04/03 13:35:48 allison Exp $
-// GEANT4 tag $Name: geant4-09-00-ref-01 $
+// GEANT4 tag $Name:  $
 
 #ifdef G4VIS_BUILD_OI_DRIVER
Index: /trunk/geant4/visualization/OpenInventor/src/G4OpenInventorWin.cc
===================================================================
--- /trunk/geant4/visualization/OpenInventor/src/G4OpenInventorWin.cc	(revision 772)
+++ /trunk/geant4/visualization/OpenInventor/src/G4OpenInventorWin.cc	(revision 773)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenInventorWin.cc,v 1.6 2006/06/29 21:22:20 gunter Exp $
-// GEANT4 tag $Name: geant4-09-00-ref-01 $
+// GEANT4 tag $Name:  $
 //
 // OpenInventor graphics system factory.
Index: /trunk/geant4/visualization/OpenInventor/src/G4OpenInventorWinViewer.cc
===================================================================
--- /trunk/geant4/visualization/OpenInventor/src/G4OpenInventorWinViewer.cc	(revision 772)
+++ /trunk/geant4/visualization/OpenInventor/src/G4OpenInventorWinViewer.cc	(revision 773)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenInventorWinViewer.cc,v 1.25 2006/06/29 21:22:22 gunter Exp $
-// GEANT4 tag $Name: geant4-09-00-ref-01 $
+// GEANT4 tag $Name:  $
 //
 /*
Index: /trunk/geant4/visualization/OpenInventor/src/G4OpenInventorXt.cc
===================================================================
--- /trunk/geant4/visualization/OpenInventor/src/G4OpenInventorXt.cc	(revision 772)
+++ /trunk/geant4/visualization/OpenInventor/src/G4OpenInventorXt.cc	(revision 773)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenInventorXt.cc,v 1.4 2006/06/29 21:22:24 gunter Exp $
-// GEANT4 tag $Name: geant4-09-00-ref-01 $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/geant4/visualization/OpenInventor/src/G4OpenInventorXtViewer.cc
===================================================================
--- /trunk/geant4/visualization/OpenInventor/src/G4OpenInventorXtViewer.cc	(revision 772)
+++ /trunk/geant4/visualization/OpenInventor/src/G4OpenInventorXtViewer.cc	(revision 773)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenInventorXtViewer.cc,v 1.24 2006/06/29 21:22:26 gunter Exp $
-// GEANT4 tag $Name: geant4-09-00-ref-01 $
+// GEANT4 tag $Name:  $
 //
 /*
Index: /trunk/geant4/visualization/OpenInventor/src/SoBox.cc
===================================================================
--- /trunk/geant4/visualization/OpenInventor/src/SoBox.cc	(revision 772)
+++ /trunk/geant4/visualization/OpenInventor/src/SoBox.cc	(revision 773)
@@ -27,5 +27,5 @@
 //
 // $Id: SoBox.cc,v 1.8 2006/06/29 21:22:36 gunter Exp $
-// GEANT4 tag $Name: geant4-09-00-ref-01 $
+// GEANT4 tag $Name:  $
 //
 /*----------------------------HEPVis----------------------------------------*/
Index: /trunk/geant4/visualization/OpenInventor/src/SoCons.cc
===================================================================
--- /trunk/geant4/visualization/OpenInventor/src/SoCons.cc	(revision 772)
+++ /trunk/geant4/visualization/OpenInventor/src/SoCons.cc	(revision 773)
@@ -27,5 +27,5 @@
 //
 // $Id: SoCons.cc,v 1.8 2006/06/29 21:22:38 gunter Exp $
-// GEANT4 tag $Name: geant4-09-00-ref-01 $
+// GEANT4 tag $Name:  $
 //
 /*-----------------------------HEPVis---------------------------------------*/
Index: /trunk/geant4/visualization/OpenInventor/src/SoDetectorTreeKit.cc
===================================================================
--- /trunk/geant4/visualization/OpenInventor/src/SoDetectorTreeKit.cc	(revision 772)
+++ /trunk/geant4/visualization/OpenInventor/src/SoDetectorTreeKit.cc	(revision 773)
@@ -27,5 +27,5 @@
 //
 // $Id: SoDetectorTreeKit.cc,v 1.13 2006/06/29 21:22:51 gunter Exp $
-// GEANT4 tag $Name: geant4-09-00-ref-01 $
+// GEANT4 tag $Name:  $
 //
 /*-----------------------------HEPVis----------------------------------------*/
Index: /trunk/geant4/visualization/OpenInventor/src/SoTrap.cc
===================================================================
--- /trunk/geant4/visualization/OpenInventor/src/SoTrap.cc	(revision 772)
+++ /trunk/geant4/visualization/OpenInventor/src/SoTrap.cc	(revision 773)
@@ -27,5 +27,5 @@
 //
 // $Id: SoTrap.cc,v 1.8 2006/06/29 21:23:03 gunter Exp $
-// GEANT4 tag $Name: geant4-09-00-ref-01 $
+// GEANT4 tag $Name:  $
 //
 /*-----------------------------HEPVis----------------------------------------*/
Index: /trunk/geant4/visualization/OpenInventor/src/SoTrd.cc
===================================================================
--- /trunk/geant4/visualization/OpenInventor/src/SoTrd.cc	(revision 772)
+++ /trunk/geant4/visualization/OpenInventor/src/SoTrd.cc	(revision 773)
@@ -27,5 +27,5 @@
 //
 // $Id: SoTrd.cc,v 1.8 2006/06/29 21:23:05 gunter Exp $
-// GEANT4 tag $Name: geant4-09-00-ref-01 $
+// GEANT4 tag $Name:  $
 //
 /*-----------------------------HEPVis---------------------------------------*/
Index: /trunk/geant4/visualization/OpenInventor/src/SoTubs.cc
===================================================================
--- /trunk/geant4/visualization/OpenInventor/src/SoTubs.cc	(revision 772)
+++ /trunk/geant4/visualization/OpenInventor/src/SoTubs.cc	(revision 773)
@@ -27,5 +27,5 @@
 //
 // $Id: SoTubs.cc,v 1.8 2006/06/29 21:23:07 gunter Exp $
-// GEANT4 tag $Name: geant4-09-00-ref-01 $
+// GEANT4 tag $Name:  $
 //
 /*-----------------------------HEPVis---------------------------------------*/